Bug 24010 - SDL_mixer, has too many requires... (eg: kde, kudzu)
SDL_mixer, has too many requires... (eg: kde, kudzu)
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: SDL (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-14 19:14 EST by Kenneth Topp
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-14 19:14:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Topp 2001-01-14 19:14:01 EST
I think I need eventually needed to commit to installing kde and kudzu to
install SDL_mixer (which I won't do ;)..  I think that's too much
commitment of diskspace just to try out tuxracer (in powertools).

Perhaps the kde stuff can be splitout? into a dependent library?   I would
think that the kde aspects of xmms, SDL_mixer, could be put in a
kde-sound-extras, as opposed to putting them into the base packages.
Comment 1 Bernhard Rosenkraenzer 2001-01-15 07:31:19 EST
This can't be done because SDL supports both sound systems (arts and esd) by
linking directly to the library, not by additional modules etc.

xmms has been fixed (it comes with all the modules, but doesn't require their
dependencies anymore); this can't be done with SDL because there's nothing
between "compiled in arts support" and "no arts support at all".

I'll try to split off arts into a separate package though, that should work for
most people.

Note You need to log in before you can comment on or make changes to this bug.